summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorHeine Pedersen2016-04-03 13:32:01 +0200
committerHeine Pedersen2016-04-03 13:32:01 +0200
commit75d458f9305c483168cbfd2a506fed916ad603c0 (patch)
tree5899416cb411ab796ac8a147e3e4e6455b4f7745
downloadaur-tpb.tar.gz
Initial import
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD23
2 files changed, 39 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..64d485cc82e
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = tpb
+ pkgdesc = Access the special buttons on a ThinkPad-Laptop using xosd
+ pkgver = 0.6.4
+ pkgrel = 2
+ url = http://savannah.nongnu.org/projects/tpb/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ depends = xosd
+ depends = glibc
+ backup = etc/tpbrc
+ source = http://savannah.nongnu.org/download/tpb/tpb-0.6.4.tar.gz
+ md5sums = 563b544fbedcc1763130a0bca1ad63b6
+
+pkgname = tpb
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..b7b1c51c37c
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,23 @@
+# Maintainer: NiNjA <heinep at gmail dot com>
+# Maintainer: Andreas B. Wagner <AndreasBWagner@pointfree.net>
+# Contributor: damir <damir@archlinux.org>
+# Contributor: Damir Perisa <damir.perisa@bluewin.ch>
+
+pkgname=tpb
+pkgver=0.6.4
+pkgrel=2
+pkgdesc="Access the special buttons on a ThinkPad-Laptop using xosd"
+arch=('i686' 'x86_64')
+url="http://savannah.nongnu.org/projects/tpb/"
+license=('GPL')
+depends=('xosd' 'glibc')
+backup=('etc/tpbrc')
+source=(http://savannah.nongnu.org/download/tpb/$pkgname-$pkgver.tar.gz)
+md5sums=('563b544fbedcc1763130a0bca1ad63b6')
+
+package() {
+ cd $srcdir/$pkgname-$pkgver
+ ./configure --prefix=/usr --sysconfdir=/etc mandir=/usr/share/man || return 1
+ make || return 1
+ make DESTDIR=$pkgdir install || return 1
+}